/*
 * BindTableListen.C -- member functions for the BindTableListen class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableListen.h"
#include "Socket.h"
#define CLASS "BindTableListen"

BindTableListen::~BindTableListen ( void ) {
   FUNCTION;
}

BindReturn BindTableListen::ToScript (BindEntry * be, void ** argv, const char * mask) {
   FUNCTION;
   Socket * sock = (Socket *)argv[0], * telnet = (Socket *)argv[1];
   context;
   return be->Call(mask, 4, telnet->Nick(), G->ToBase10(sock->FD()),
		   sock->Host(), telnet->Host());
}
