/*
 * BindTableString.h - class definition for BindTableString class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLESTRING_
#define _BINDTABLESTRING_

class BindTableString : public BindTable {
  public:
   inline BindTableString ( const char * name, ModuleEntry * m = 0)
     : BindTable(name, STACKABLE | MASK | SCRIPT_FUNC, m ) {
     }
   ~BindTableString ();

   BindReturn ToScript (BindEntry *, void **, const char *);
};

#endif
