/*
 * BindTableTime.C -- member functions for the BindTableTime class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableTime.h"
#include "Socket.h"
#define CLASS "BindTableTime"

BindTableTime::~BindTableTime ( void ) {
   FUNCTION;
}

BindReturn BindTableTime::ToScript (BindEntry * be, void ** argv, const char * mask) {
   FUNCTION;
   struct tm * tm = (struct tm *)argv[0];
   char buf1[20], buf2[20], buf3[20], buf4[20];
   
   context;
   strcpy(buf1, G->ToBase10(tm->tm_min));
   strcpy(buf2, G->ToBase10(tm->tm_hour));
   strcpy(buf3, G->ToBase10(tm->tm_mday));
   strcpy(buf4, G->ToBase10(tm->tm_mon));
   return be->Call(mask, 5, buf1, buf2, buf3, buf4, G->ToBase10(tm->tm_year+1900));
}
