/*
 * BoundCommand.h
 */

#ifndef _COMMAND_
#include "Command.h"
#endif

#ifndef _BOUNDCOMMAND_
#define _BOUNDCOMMAND_

class BoundCommand : public Command {
  protected:
   BindTable * be;
   BindReturn (*func) (void **, const char *);
  public:
   inline BoundCommand ( char * n, BindTable * b,
			BindReturn (*f) (void **, const char *), ModuleEntry * m)
     : Command ( n, 0, m) {
	be = b;
	func = f;
     }
   ~BoundCommand(void);
   int ExpMem ( void );
   int Call (ScriptContext *, int, ScriptArgument **);
   inline BindReturn Call ( void ** a, const char * b ) {
      return func(a,b);
   }
};
#endif
