/*
 * This file is part of the eggdrop 2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "ChannelRecord.h"
#include "UserRecord.h"
#define CLASS "ChannelRecord"

ChannelRecord::~ChannelRecord ( void ) {
   FUNCTION;
   if (info)
     my_free(info,G->memtype_chanrec);
}

int ChannelRecord::ExpMem ( void ) {
   FUNCTION;
   UserRecord *u = G->userlist;
   ChannelRecord * ch;
   int tot = sizeof(ChannelRecord);
   
   context;
   while ((u = u->Next())) 
     for (ch = u->ChanRecs(); ch; ch = ch->Next()) {
	tot += sizeof(ChannelRecord);
	if (ch->info)
	  tot += strlen(ch->info) + 1;
     }
   return tot;
}

