/*
 * IntList.h - class definition for the IntList class
 */

#ifndef _LIST_
#include "List.h"
#endif

#ifndef _INTLIST_
#define _INTLIST_

class IntList : public List {
  protected:
   int key;
   enum {
      INSERT = 0,
	APPEND = 1,
	NODUPS = 2,
   };
  public:
   inline IntList ( ModuleEntry * m = 0 ) : List (m) {  }
   IntList ( IntList &, int, int = 0, ModuleEntry *m = 0);
   inline IntList ( IntList & l, IntList & o, int a = 0 ) : List (l, o, a) {
      key = o.key;
   }
   virtual ~IntList ( void );
     
   IntList * Find ( int );
   int Remove ( int );
   inline int Remove ( IntList * ptr) { return List::Remove (ptr); }
   inline const int Key ( void ) { return key; }
   DEF_NEXT(IntList);
};

#endif
