/*
 * MiscVariable.h
 */

#ifndef _VARIABLE_
#include "Variable.h"
#endif

#ifndef _MISCVARIABLE_
#define _MISCVARIABLE_

class MiscVariable : public Variable {
  public:
   int flags;
   
   friend class ScriptContext;
   ~MiscVariable(void);
   
  public:
   MiscVariable ( char *, int, ModuleEntry * );
   int ExpMem ( void );
   virtual char * Read ( ScriptContext *, int, ScriptArgument **) = 0;
   virtual char * Set ( ScriptContext *, int, ScriptArgument **) = 0;
   virtual char * Clear ( ScriptContext *, int, ScriptArgument **) = 0;
};
#endif
