/*
 * ModuleEntryEncryption.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYENCRYPTION_
#define _MODULEENTRYENCRYPTION_

class ModuleEntryEncryption : public ModuleEntry {
  public:
   ModuleEntryEncryption ( const char *, Version *, struct patches *,
			  ModuleEntry *, char **);
   ~ModuleEntryEncryption ( void );
  
   virtual char * Encrypt(const char *, const char *) = 0;
   virtual char * Decrypt(const char *, const char *) = 0;
   virtual void EncryptPass ( char *, char * ) = 0;
   int ExpMem ( void ) = 0;
};
#endif
