/* 
 * ScriptArgument.h - An arbritary argument passed in from a script
 */

#ifndef _LIST_
#include "List.h"
#endif

#ifndef _SCRIPTARGUMENT_
#define _SCRIPTARGUMENT_

class ScriptArgument {
  protected:
   ScriptContext * owner;
   const char * ptr;
   int f;
   
   friend class ScriptContext;
  public:
   inline ScriptArgument ( ScriptContext * o, const char * p = 0, int fl = 0) {
      owner = o;
      f = fl;
      if (!f) 
	 ptr = p;
      else { 
	 ptr = (const char *)my_malloc(strlen(p) + 1, List::G->memtype_misc);
	 strcpy((char *)ptr, p);
      }
   }
   virtual ~ScriptArgument ( void );

   virtual const char * AsString ( void );
   virtual int AsInteger ( void );
   MEMORY_TYPE(List::G->memtype_misc);
};

#endif
