/*
 * StaticMods.C - class members
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "StaticMods.h"
#include "mod/static.h"
#define CLASS "StaticMods"

StaticMods::StaticMods ( void ) : KeyedList<MISCLEN> () {
   FUNCTION;
   G->statics = this;
   link_statics ();
}

StaticMods::~StaticMods ( void ) {
   FUNCTION;
}

int StaticMods::ExpMem ( void ) {
   FUNCTION;
   StaticMods * ptr = this;
   int tot = sizeof(StaticMods);
   
   while ((ptr = ptr->Next()))
     tot += sizeof(StaticMods);
   return tot;
}
