/*
 * Assoc.h
 */

#ifndef _INTLIST_
#include "IntList.h"
#endif

#ifndef _MODULEENTRYASSOC_
#include "ModuleEntryAssoc.h"
#endif

#ifndef _ASSOC_
#define _ASSOC_
class Assoc : public IntList {
  protected:
   char * name;
  public:
   inline Assoc ( ModuleEntry * m = 0) : IntList ( m ) { }
   Assoc ( int, const char * );
   ~Assoc ( void );
   int ExpMem ( void );
   
   inline const char * Name ( void ) { return name; }
   inline Assoc * Find ( int k ) { return (Assoc *)IntList::Find(k); }
   Assoc * Find ( const char * );
   DEF_NEXT(Assoc);
   MEMORY_TYPE(ASS->memtype_assoc);
};
#endif
