/*
 * ModuleEntryBlowfish.h
 */

#ifndef _MODULEENTRYENCRYPTION_
#include "ModuleEntryEncryption.h"
#endif

#ifndef _MODULEENTRYBLOWFISH_
#define _MODULEENTRYBLOWFISH_

class ModuleEntryBlowfish : public ModuleEntryEncryption {
  protected:
   class BlowfishBox * boxlist;
   MemType * memtype_blowfish;
   friend class BlowfishBox;
  public:
   ModuleEntryBlowfish ( ModuleEntry *, char ** );
   ~ModuleEntryBlowfish ( void );
   
   char * Encrypt ( const char *, const char * );
   char * Decrypt ( const char *, const char * );
   void EncryptPass ( char *, char * );
   void Report ( Socket *, int );
   int ExpMem ( void );
};
#endif
