/*
 * BotService.h
 */

#ifndef _BOT_
#include "Bot.h"
#endif

#ifndef _BOTSERVICE_
#define _BOTSERVICE_

class BotService : public Bot {
  public:
   BotService ( BotLink &, char *);
   ~BotService ( void );

   virtual void SendMotd (const char *, const char *); 
   virtual void SendReject (const char *, const char *, const char *); 
   virtual void SendTrace (const char *, const char *, const char *);
   virtual void SendTraced (const char *, const char *);
   virtual void SendUnLink (const char *, TandemBot *, const char *);
   virtual void SendWho ( const char *, const char *, int );
   virtual void SendLink (const char *, const char *, const char *);
   virtual void SendPriv (const char *, const char *, const char *);
   virtual void SendZapf (const char *, const char *, const char *);
   virtual void SendLinkInfo (void);
   virtual void SendPing (void);
   virtual void SendPong (void);
   virtual void SendFakeAlert (const char *, const char *);
   virtual void SendBye2 (const char *);
};
#endif
