/*
 * ModuleEntryBotservice.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYBOTSERVICE_
#define _MODULEENTRYBOTSERVICE_

class ModuleEntryBotservice : public ModuleEntry {
  public:
   char service_name [HANDLEN+1];
   class Bot * service_socket;
   int warn_flud;
   int no_respawn;
   int leaf_old;
   int autojupe_time;
   int recon_cnt;
   int recon_time;
   int max_depth;
   MemType * memtype_botservice;
   LogModes logger;
   class ModuleEntryBotnet * BOTNET;
   int linked;
   class JupeList * jupe_list;
   class Reconnections * recons;
   struct massbot_call_funcs * massbots;
   
   ModuleEntryBotservice ( ModuleEntry *, char ** );
   ~ModuleEntryBotservice ( void );
   
   int ExpMem ( void );
   
   void CheckJupes(void);
   void CheckJupe (Bot * sock, const char * bot, const char * next,
		   char flag, int vernum);
};

extern ModuleEntryBotservice * BS;
#endif
