/*
 * DccFiles.h - a user in the filesystem
 */

#ifndef _DCCCHAT_
#include "DccChat.h"
#endif

#ifndef _DCCFILES_
#define _DCCFILES_

#ifndef _DCCFILESPASS_
class DccFilesPass;
#endif

class DccFiles : public DccChat {
   char dir [DIRLEN + 1];
  public:
   DccFiles ( DccChat & );
   DccFiles ( DccFilesPass & );
   ~DccFiles ( void );
   
   int CommonInit ( void );
   void Eof ( void );
   void Activity ( char *, int );
   void Display2 ( Socket * );
   int ExpMem ( void );
   
   inline const char * Dir ( void ) { return dir; }
   inline void SetDir ( const char * x ) {
      strncpy(dir, x, DIRLEN);
      dir[DIRLEN] = 0;
   }
};

#endif
