/*
 * ModuleEntryFilesys.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYFILESYS_
#define _MODULEENTRYFILESYS_

class ModuleEntryFilesys : public ModuleEntry {
  public:
   class ModuleEntryBotnet * BOTNET;
   class ModuleEntryServer * SERVER;
   class ModuleEntryTransfer * TRANSFER;
   class UserEntry * entrytype_fstat;
   class UserEntry * entrytype_dccdir;

   BindTable * bt_fil;

   char dccdir[121];
   char dccin[121];
   char filedb_path[121];
   int dcc_maxsize;
   int dcc_users;
   int upload_to_cd;

   ModuleEntryFilesys ( ModuleEntry * , char **);
   ~ModuleEntryFilesys ( void );
   
   int ExpMem ( void );
   void Report ( Socket *, int );

   int FindMatch ( FILE *, const char *, long *, filedb * );
   long FindEmpty ( FILE * );
   int TooManyFilers ( void );

   const char * DCC_FILES;
   const char * DCC_FILES_PASS;
};

extern ModuleEntryFilesys * FILESYS;
#endif
