/*
 * UserEntryDccDir.h - DccDir user entry
 */

#ifndef _USERENTRYSTRING_
#include "UserEntryString.h"
#endif

#ifndef _MODULEENTRYFILESYS_
#include "ModuleEntryFilesys.h"
#endif

#ifndef _USERENTRYDCCDIR_
#define _USERENTRYDCCDIR_

class UserEntryDccDir : public UserEntryString {
  public:
   inline UserEntryDccDir ( UserRecord * u, UserEntry * t ) 
     : UserEntryString ( u, t ) {
     }
   inline UserEntryDccDir ( ModuleEntry * ME )
     : UserEntryString ( "dccdir", ME ) { }
   ~UserEntryDccDir ( void );

   UserEntry * Create ( UserRecord * );   
   void Set ( char * );
};

#ifndef _USERRECORD_
#include "UserRecord.h"
#endif


inline UserEntryDccDir * GetDccDir ( UserRecord * u ) {
   return (UserEntryDccDir *)u->GetEntry(FILESYS->entrytype_dccdir);
}
#endif
