/*
 * BindTableJPSR.h - class definition
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEJPSR_
#define _BINDTABLEJPSR_

class BindTableJPSR : public BindTable {
  public:
   inline BindTableJPSR ( const char * name, ModuleEntry * m )
     : BindTable(name, STACKABLE | MASK | ATTR | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableJPSR ();

   BindReturn ToScript (BindEntry *, void **, const char *);
   int FromScript ( BoundCommand *, ScriptContext *, int, ScriptArgument **);
};

#endif
