/*
 * BindTableKick.h - class definition
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEKICK_
#define _BINDTABLEKICK_

class BindTableKick : public BindTable {
  public:
   inline BindTableKick ( const char * name, ModuleEntry * m )
     : BindTable(name, STACKABLE | MASK | ATTR | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableKick ();

   BindReturn ToScript (BindEntry *, void **, const char *);
   int FromScript ( BoundCommand *, ScriptContext *, int, ScriptArgument **);
};

#endif
