/*
 * BindTableSTNM.h - class definition
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLESTNM_
#define _BINDTABLESTNM_

class BindTableSTNM : public BindTable {
  public:
   inline BindTableSTNM ( const char * name, ModuleEntry * m )
     : BindTable(name, STACKABLE | MASK | ATTR | SCRIPT_FUNC | CALLBACK, m) {
     }
   inline BindTableSTNM ( const char * name, ModuleEntry * m, int )
     : BindTable(name, EXACT | ATTR | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableSTNM ();

   BindReturn ToScript (BindEntry *, void **, const char *);
   int FromScript ( BoundCommand *, ScriptContext *, int, ScriptArgument **);
};

#endif
