/*
 * ChannelSettingsFlood.h
 */

#ifndef _CHANNELSETTINGS_
#include "ChannelSettings.h"
#endif

#ifndef _CHANNELSETTINGSFLOOD_
#define _CHANNELSETTINGSFLOOD_

class ChannelSettingsFlood : public ChannelSettings {
  public:
   int pub_thr;
   int pub_time;
   int join_thr;
   int join_time;
   int deop_thr;
   int deop_time;
   int kick_thr;
   int kick_time;
   int ctcp_thr;
   int ctcp_time;

  protected:
   friend ModuleEntryIrc;
   
   inline ChannelSettingsFlood ( Channel2 * c, ChannelSettings * m) 
     : ChannelSettings (c, m) {
	pub_thr = 10;
	pub_time = 60;
	ctcp_thr = 3;
	ctcp_time = 60;
	join_thr = 3;
	join_time = 10;
	kick_thr = 3;
	kick_time = 10;
	deop_thr = 3;
	deop_time = 10;
     }
   ChannelSettingsFlood ( ModuleEntry * m );
   ~ChannelSettingsFlood ( void );
  public:
   int ExpMem ( void );
   int Set (const char *, const char *, Socket *);
   void View (Socket *);
   int Write (FILE *);
   int Get (ScriptContext *);
   void Create (Channel2 *);
};
#endif
