/*
 * ChannelSettingsIdle.h
 */

#ifndef _CHANNELSETTINGS_
#include "ChannelSettings.h"
#endif

#ifndef _CHANNELSETTINGSIDLE_
#define _CHANNELSETTINGSIDLE_

class ChannelSettingsIdle : public ChannelSettings {
  protected:
   time_t idle;
   
   friend ModuleEntryIrc;
   inline ChannelSettingsIdle ( Channel2 * c, ChannelSettings * m ) 
     : ChannelSettings ( c, m ) {
	idle = 60;
     }
   ChannelSettingsIdle ( ModuleEntry * m );
   ~ChannelSettingsIdle ( void );
  public:
   int ExpMem ( void );
   
   int Set (const char *, const char *, Socket *);
   void View (Socket *);
   int Write (FILE *);
   int Get (ScriptContext *);
   void Create (Channel2 *);
   
   inline time_t Time ( void ) { return idle; }
};
#endif
