/*
 * UserEntryFwd.h
 */

#ifndef _USERENTRYCOMMENT_
#include "UserEntryComment.h"
#endif

#ifndef _USERENTRYFWD_
#define _USERENTRYFWD_

class UserEntryFwd : public UserEntryComment {
  public:
   inline UserEntryFwd ( UserRecord * u, UserEntry * t )
     : UserEntryComment ( u, t ) {
     }
   inline UserEntryFwd ( ModuleEntry * ME ) 
     : UserEntryComment ( "fwd", ME) { }
   ~UserEntryFwd ( void );
   
   UserEntry * Create ( UserRecord * );
   void Set ( char * );
};

#ifndef _MODULEENTRYNOTES_
#include "ModuleEntryNotes.h"
#endif

inline UserEntryFwd * FindFwd ( UserRecord * u ) {
   return (UserEntryFwd *)u->FindEntry(NOTES->entrytype_fwd);
}

inline UserEntryFwd * GetFwd ( UserRecord * u ) {
   return (UserEntryFwd *)u->GetEntry(NOTES->entrytype_fwd);
}
#endif
