/*
 * UserEntryNotes.h
 */

#ifndef _USERENTRY_
#include "UserEntry.h"
#endif

#ifndef _USERENTRYNOTES_
#define _USERENTRYNOTES_

class UserEntryNotes : public UserEntry {
  public:
   inline UserEntryNotes ( UserRecord * u, UserEntry * t )
     : UserEntry ( u, t ) {
     }
   inline UserEntryNotes ( ModuleEntry * t )
     : UserEntry ( "notes", t ) { }
   ~UserEntryNotes ( void );
   
   UserEntry * Create ( UserRecord * );
   
   int ScriptGet ( ScriptContext *, int, ScriptArgument ** );
   int ScriptSet ( ScriptContext *, int, ScriptArgument ** );
   void Display (Socket * );
   int ExpMem ( void );
};
#endif
