#ifndef _SOCKET_
#include "Socket.h"
#endif

#ifndef _MODULEENTRYRELAY_
#include "ModuleEntryRelay.h"
#endif

#ifndef _RELAY_
#define _RELAY_

class Relay : public Socket {
   int relay;
   int baseport;
   
  public:
   Relay (DccChat *, const char *, int);
   ~Relay ( void );
   
   int ExpMem ( void );
   void Activity ( char *, int );
   void Eof ( void );
   void Display2 ( Socket *);
   inline class Relaying * RelayPtr ( void ) {
      return (Relaying *)G->socklist->Find(relay, RLY->RELAYING);
   }
   inline Relay * Next ( void ) {
      Relay * ptr = this;
      
      while ((ptr = (Relay *)ptr->next) && ptr->Type() != RLY->RELAY);
      return ptr;
   }
};
#endif
