/*
 * BindTableCtcpr.h - class definition for BindTableCtcpr class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLECTCPR_
#define _BINDTABLECTCPR_

class BindTableCtcpr : public BindTable {
  public:
   inline BindTableCtcpr ( const char * name, ModuleEntry * m )
     : BindTable ( name, STACKABLE | MASK | ATTR | SCRIPT_FUNC | CALLBACK |
		  (name[3] == 'p' ?  WANTRET : 0), m) {
     }
   ~BindTableCtcpr ();

   int FromScript (BoundCommand *,ScriptContext *, int, ScriptArgument **);
   BindReturn ToScript (BindEntry *,void **, const char *);
};

#endif
