/*
 * BindTableFlud.h - class definition for BindTableFlud class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEFLUD_
#define _BINDTABLEFLUD_

class BindTableFlud : public BindTable {
  public:
   inline BindTableFlud ( ModuleEntry * m )
     : BindTable ( "flud", STACKABLE | WANTRET |MASK | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableFlud ();

   int FromScript (BoundCommand *,ScriptContext *, int,ScriptArgument **);
   BindReturn ToScript (BindEntry *,void **, const char *);
};

#endif
