/*
 * BindTableRaw.h - class definition for BindTableRaw class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLERAW_
#define _BINDTABLERAW_

class BindTableRaw : public BindTable {
  public:
   inline BindTableRaw ( const char * t, ModuleEntry * m )
     : BindTable ( t, STACKABLE | EXACT | WANTRET | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableRaw ();

   int FromScript (BoundCommand *,ScriptContext *, int, ScriptArgument **);
   BindReturn ToScript (BindEntry *,void **, const char *);
};

#endif
