/*
 * ServerHeads.h
 */

#ifndef _SERVERMODULE_
#include "server.h"
#endif

#ifndef _SERVERQUEUE_
#include "ServerQueue.h"
#endif

#ifndef _SERVERHEADS_
#define _SERVERHEADS_

class ServerHeads {
  protected:
   ServerQueue head;
   ServerQueue * last;
   int tot;
   int warned;
   int which;
  public:
   inline ServerHeads ( int w ) {
      last = &head;
      which = w;
   }
   ~ServerHeads (void);
   int ExpMem ( void );
   void Queue( char *, int );
   int Flush (Socket *, int );
   void Empty ( void );
   MEMORY_TYPE(SVR->memtype_server);
   inline int Tot ( void ) {
      return tot;
   }
};
#endif
