/*
 * ServerVar.C
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "server.h"
#include "ServerVar.h"
#include "ModuleEntryServer.h"
#include "Socket.h"
#define CLASS "ServerVar"

ServerVar::~ServerVar ( void ) {
   FUNCTION;
}

char * ServerVar::ALL ( void ) {
   FUNCTION;
   static char tbuf[512];

   if (SVR->server_online) { 
      Socket * servidx = G->socklist->Find(SVR->serv);
      G->SPrintF(tbuf, 511, "%s:%d", servidx->Host(), servidx->RemotePort());
   } else
     tbuf[0] = 0;   
   return tbuf;
}

char * ServerVar::Read ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   return ALL();
}

char * ServerVar::Clear ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   return ALL();
}

char * ServerVar::Set ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   return ALL();
}
