/*
 * ShareQueue.h
 */

#ifndef _MESSAGEQUEUE_
#include "MessageQueue.h"
#endif

#ifndef _MODULEENTRYSHARE_
#include "ModuleEntryShare.h"
#endif

#ifndef _SHAREQUEUE_
#define _SHAREQUEUE_
class ShareQueue : public MessageQueue {
  protected:
   Channel * chan;
   
  public:
   inline ShareQueue ( void ) : MessageQueue ( ) {
   }
   inline ShareQueue ( ShareQueue & t, Channel * c, const char * s )
     : MessageQueue ( t, s, strlen(s)) {
	chan = c;
     }
   ~ShareQueue ( void );
   
   int ExpMem ( void );
   MEMORY_TYPE(SH->memtype_resync);
   DEF_NEXT(ShareQueue);
};
#endif
