/*
 * ModuleEntryTimers.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYTIMERS_
#define _MODULEENTRYTIMERS_

enum TimerStack {
   SECONDS, MINUTES
};

class ModuleEntryTimers : public ModuleEntry { 
  public:
   class Timer * timer;
   class Timer * utimer;
   MemType * memtype_timer;

   ModuleEntryTimers ( ModuleEntry *, char ** );
   ~ModuleEntryTimers ( void );
   
   int ExpMem ( void );
   void Report ( Socket *, int );
  
   int NewTimer (TimerStack, int, ScriptContext *, 
		 void (*)(int, char *), const char *, ModuleEntry *);
   int KillTimer (TimerStack, int);
   int TimerRunning (TimerStack, int);
};
extern ModuleEntryTimers * TM;
#endif   
