/*
 * InfoField.h
 */

#ifndef _KEYEDLIST_
#include "KeyedList.h"
#endif

#ifndef _MODULEENTRYUSERINFO_
#include "ModuleEntryUserinfo.h"
#endif

#ifndef _INFOFIELD_
#define _INFOFIELD_

class InfoField : public KeyedList<HANDLEN> {
  public:
   inline InfoField ( void ) : KeyedList<HANDLEN> () { }
   InfoField ( const char * );
   ~InfoField ( void );
   
   inline void Remove ( const char * );
   inline InfoField * Next ( void ) {
      return (InfoField *)next;
   }
   MEMORY_TYPE(UI->memtype_userinfo);
};

inline void InfoField::Remove (const char * which) {
   UI->info_fields->KeyedList<HANDLEN>::Remove(which);
}
#endif
