/*
 * BindTableDcc.h - class definition for BindTableDcc class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEDCC_
#define _BINDTABLEDCC_

class BindTableDcc : public BindTable {
  public:
   inline BindTableDcc ( const char * name, ModuleEntry * m = 0 ) 
     : BindTable ( name, PARTIAL | ATTR | BUILTINS | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableDcc ();

   int FromScript (BoundCommand *, ScriptContext * ,int, ScriptArgument **);
   BindReturn ToScript (BindEntry *, void **, const char *);
};

#endif
