/*
 * BindTableFilt.C -- member functions for the BindTableFilt class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableFilt.h"
#include "Socket.h"
#include "ScriptContext.h"
#define CLASS "BindTableFilt"

BindTableFilt::~BindTableFilt ( void ) {
   FUNCTION;
}

BindReturn BindTableFilt::ToScript (BindEntry * be, void ** argv, 
				    const char * mask) {
   FUNCTION;
   BindReturn ret;
   
   context;
   ret = be->Call(mask, 2, G->ToBase10(((Socket *)(argv[1]))->FD()), argv[0]);
   if (be->Script())
     strncpyz((char *)argv[0], be->Script()->AsString(), 512);
   return ret;
}
