/*
 * BindTableLChjn.C -- member functions for the BindTableLChjn class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableLChjn.h"
#include "DccChat.h"
#define CLASS "BindTableLChjn"

BindTableLChjn::~BindTableLChjn ( void ) {
   FUNCTION;
}

BindReturn BindTableLChjn::ToScript (BindEntry * be, void ** argv, const char * mask) {
   FUNCTION;
   DccChat * sock = (DccChat *)argv[0];
   char type[2],buf1[20],buf2[20];
   
   context;
   type[0] = sock->GetIcon();
   type[1] = 0;
   strcpy(buf1, G->ToBase10(sock->Channel()));
   strcpy(buf2, G->ToBase10(sock->FD()));
   return be->Call(mask, 6, G->botnetnick, sock->Nick(), buf1, buf2,
		   sock->Host(),type);
}
