/*
 * BindTableLChpt.C -- member functions for the BindTableLChpt class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableLChpt.h"
#include "DccChat.h"
#define CLASS "BindTableLChpt"

BindTableLChpt::~BindTableLChpt ( void ) {
   FUNCTION;
}

BindReturn BindTableLChpt::ToScript (BindEntry * be, void ** argv, const char * mask) {
   FUNCTION;
   DccChat * sock = (DccChat *)argv[0];
   char buf1[20];
   
   context;
   strcpy(buf1, G->ToBase10(sock->Channel()));
   return be->Call(mask, 4, G->botnetnick, sock->Nick(), buf1,
		   G->ToBase10(sock->FD()));
}
