/*
 * BindTableString.C -- member functions for the BindTableString class
*/
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
*/

#include "BindTableString.h"
#include "Socket.h"
#define CLASS "BindTableString"

BindTableString::~BindTableString ( void ) {
   FUNCTION;
}

BindReturn BindTableString::ToScript (BindEntry * be, void ** argv, const char * mask) {
   FUNCTION;
   context;
   if ((this != G->bt_load) && (this != G->bt_unld))
     return be->Call(mask, 1, argv[0]);
   else
     return be->Call(mask, 1, ((ModuleEntry *)argv[0])->Key());
}
