/*
 * Firewall.C
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "server.h"
#include "Firewall.h"
#include "ScriptArgument.h"
#define CLASS "Firewall"

Firewall::~Firewall ( void ) {
   FUNCTION;
}
   
char * Firewall::Read ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   static char s1[161];
   if (G->firewall[0]) 
     G->SPrintF(s1, 161, "\"%s %d\"", G->firewall, G->firewallport);
   else
     s1[0] = 0;
   return s1;
}

char * Firewall::Clear ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   return Read(0,0,0);
}

char * Firewall::Set ( ScriptContext *, int, ScriptArgument ** argv) {
   FUNCTION;
   char buf[161], *ptr = buf;
   
   strncpyz(buf, argv[0]->AsString(), 160);
   strncpyz(G->firewall, G->Split(&ptr), 120);
   if (ptr[0]) 
     G->firewallport = atoi(ptr);
   else if (G->firewall[0] == '!') 
     G->firewallport = 178;
   else
     G->firewallport = 1080;
   return 0;
}
