/*
 * Hook.h - class definition for the Hook class
 */

#ifndef _LIST_
#include "List.h"
#endif

#ifndef _HOOK_
#define _HOOK_

#ifndef _SOCKET_
#include "Socket.h"
#endif

class Hook : public List {
   void (*func) (void);
  public:
   inline Hook ( void ) : List () { }
   Hook ( HookList * , void (*) (void), ModuleEntry * );
   ~Hook ( void );
   
   DEF_NEXT(Hook);
   MEMORY_TYPE(G->memtype_hook);
   inline void Call ( void ) { func(); }
   int ExpMem ( void );
   inline void Dump ( Socket * idx) {
      idx->Send(G->Lang(0x292, "Xs", func, ((KeyedList<MISCLEN> *)mod)->Key()));
   }
   inline void * Func ( void ) { return func; }
};
#endif
