/*
 * LanguageEntry.h - class definition for the LanguageEntry class
 */

#ifndef _INTLIST_
#include "IntList.h"
#endif

#ifndef _LANGUAGEENTRY_
#define _LANGUAGEENTRY_

class LanguageEntry : public IntList {
  protected:
   char * text;
  public:
   inline LanguageEntry ( void ) : IntList () {
      text = 0;
   }
   LanguageEntry ( ModuleLanguage *, int, char * );
   ~LanguageEntry ( void );
   inline LanguageEntry * Next ( void ) {
      return (LanguageEntry *)next;
   }
   int ExpMem ( void );
   MEMORY_TYPE(G->memtype_language);
   void Dump ( ModuleLanguage *, Socket * );
   inline const char * Text ( void ) {
      return text;
   }
};
#endif
