/*
 * MessageQueue.h - class definition for MessageQueue class
 */

#ifndef _INTLIST_
#include "IntList.h"
#endif

#ifndef _SOCKET_
#include "Socket.h"
#endif

#ifndef _MESSAGEQUEUE_
#define _MESSAGEQUEUE_

class MessageQueue : public IntList {
  protected:
   MemType * memtype;
   char * data;
  public:
   inline MessageQueue ( ) : IntList ( ) { }
   MessageQueue ( MessageQueue &, const char * , int , MemType * = 0);
   ~MessageQueue ( void );
   
   int ExpMem ( void );
   int Flush ( int, Socket * );
   inline int Dump ( Socket * where ) { return where->Dump(data, key); }
   inline const char * Data ( void ) { return data; }
   inline MessageQueue * Next ( void ) { return (MessageQueue *)next; }
   MEMORY_TYPE(G->memtype_socket);
};

#endif
