/*
 * QueueQueue.h - class definition for QueueQueue class
 */

#ifndef _KEYEDLIST_
#include "KeyedList.h"
#endif

#ifndef _MESSAGEQUEUE_
#include "MessageQueue.h"
#endif

#ifndef _QUEUEQUEUE_
#define _QUEUEQUEUE_

class MessageQueue2 : public MessageQueue {
  public:
   inline MessageQueue2 ( void ) : MessageQueue ( ) {
   }
   inline MessageQueue2 ( MessageQueue2 & a, const char * b, int c) 
     : MessageQueue (a, b, c, G->memtype_userent) {
     }
   MEMORY_TYPE(G->memtype_userent);
};

class QueueQueue : public KeyedList<MISCLEN> {
  protected:
   MessageQueue2 list;
   
  public:
   inline QueueQueue ( ) : KeyedList<MISCLEN> ( ) { }
   inline QueueQueue ( QueueQueue & l, const char * s) 
     : KeyedList<MISCLEN> ( l, s ) {
     }
      
   ~QueueQueue ( void );
   
   MEMORY_TYPE(G->memtype_userent);
   int ExpMem ( void );
   inline MessageQueue2 * Head ( void ) { return &list; }
   inline QueueQueue * Next ( void ) { return (QueueQueue *)next; }
   inline QueueQueue * Find ( const char * x ) {
      return (QueueQueue *)KeyedList<MISCLEN>::Find( x );
   }
};

#endif
