/*
 * Socket.C - class members for Socket class
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "SpecialSocket.h"
#define CLASS "SpecialSocket"

SpecialSocket::~SpecialSocket ( void ) {
   FUNCTION;
   if (key == 0)
     G->Stdout = 0;
}

int SpecialSocket::Dump (char * buf, int len) {
   /* FUNCTION; this could be called recursively *cringe* */
   buf[len] = 0; 
   switch (key) {
     case 0:
      write(STDOUT, buf, len);
      break;
     case 1:
      write(STDERR, buf, len);
      break;
     case 2:
      G->LOG_MISC.Put(buf);
      break;
   }
   return len;
}

void SpecialSocket::Display2 (Socket * where) {
   FUNCTION;   
   if (key < 3) 
     where->Send(G->Lang(0x124 + key, ""));
}

int SpecialSocket::ExpMem ( void ) {
   FUNCTION;   
   return sizeof(SpecialSocket);
}
