/*
 * StaticMods.h - class definition
 */

#ifndef _KEYEDLIST_
#include "KeyedList.h"
#endif

#ifndef _STATICMODS_
#define _STATICMODS_

class StaticMods : public KeyedList<MISCLEN> {
  protected:
   char * ( *func) ( ModuleEntryEggdrop *, ModuleEntry * );
   
  public:
   StaticMods ( void );
   inline StaticMods ( const char * name, 
		      char * (*f) (ModuleEntryEggdrop *, ModuleEntry *))
     : KeyedList<MISCLEN> ( *G->statics, name, KeyedList<MISCLEN>::NODUPS ) {
	func = f;
     }
   ~StaticMods ( void );
   
   int ExpMem ( void );
   inline void * Func (void) { return func; }
   DEF_NEXT(StaticMods);
   MEMORY_TYPE(G->memtype_static);
};
#endif
