/*
 * Variable.h
 */

#ifndef _KEYEDLIST_
#include "KeyedList.h"
#endif

#ifndef _VARIABLE_
#define _VARIABLE_

class Variable : public KeyedList<MISCLEN> {
   int type;
  public:
   enum { STRING, INTEGER, COUPLET, MISC };
   
   inline Variable ( void ) : KeyedList<MISCLEN> () { }
   Variable ( const char *, ModuleEntry *, int );
   ~Variable (void);

   inline int Type ( void ) { return type; }
   MEMORY_TYPE(G->memtype_script);
   inline Variable * Find ( const char * n, int t) {
      Variable * x = (Variable *)KeyedList<MISCLEN>::Find(n);
      if (x->Type() != t)
	return 0;
      return x;
   }
   inline Variable * Find ( const char * x) { 
      return (Variable *)KeyedList<MISCLEN>::Find(x); 
   }
   inline Variable * Next ( void ) { return (Variable *)next; }
};
#endif
