/*
 * XtraKeys.h - class definition for the XtraKeys class
 */

#ifndef _KEYEDLIST_
#include "KeyedList.h"
#endif

#ifndef _XTRAKEYS_
#define _XTRAKEYS_

class XtraKeys : public KeyedList<MISCLEN> {
  protected:
   char * data;
   
  public:
   inline XtraKeys ( void ) : KeyedList<MISCLEN> ( ) {
      data = 0;
   }
   inline XtraKeys ( XtraKeys & header, const char * key, const char * data ) :
   KeyedList<MISCLEN> (header, key, KeyedList<MISCLEN>::NODUPS) {
      Set ( data );
   }
   ~XtraKeys ( void );
   
   DEF_NEXT(XtraKeys);
   MEMORY_TYPE(G->memtype_userent);
   inline XtraKeys * Find ( const char * x ) { 
      return (XtraKeys *)KeyedList<MISCLEN>::Find(x);
   }
   inline const char * Data ( void ) { return data; }
   void Set ( const char * );
   int ExpMem ( void );
};
#endif
