/*
 * ChannelsSettings.h
 */

#ifndef _LIST_
#include "List.h"
#endif

#ifndef _CHANNELSMODULE_
#include "channels.h"
#endif

#ifndef _MODULEENTRYCHANNELS_
#include "ModuleEntryChannels.h"
#endif

#ifndef _CHANNELSETTINGS_
#define _CHANNELSETTINGS_

class ChannelSettings : public List {
  protected:
   ChannelSettings * type;
   Channel2 * chan;
   
   ChannelSettings ( Channel2 *, ChannelSettings *);
   ChannelSettings ( ModuleEntry * m);
   ChannelSettings ( void );
   ~ChannelSettings ( void );

   friend Channel2;
  public:
   int ExpMem ( void );
   
   virtual int Set (const char *, const char *, Socket *);
   virtual void View (Socket *);
   virtual int Write (FILE *);
   virtual int Get (ScriptContext *);
   virtual void Create (Channel2 *);
   
   DEF_NEXT(ChannelSettings);
   MEMORY_TYPE(CHNS->memtype_settings);
};
#endif
