/*
 * ModuleEntryChannels.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _CHANNELSMODULE_
#include "channels.h"
#endif

#ifndef _MODULEENTRYCHANNELS_
#define _MODULEENTRYCHANNELS_

class ModuleEntryChannels : public ModuleEntry {
  public:
   char chanfile [121];
   int ban_time;
   int use_info;
   int setstatic;
   int chan_hack;
   class ChannelSettings * CHANSET_LIST;
   MemType * memtype_settings;
   class ModuleEntryServer * SERVER;
   class ModuleEntryIrc * IRC;
   
   ModuleEntryChannels ( ModuleEntry * , char ** );
   ~ModuleEntryChannels ( void );
   int ExpMem ( void );
   
   virtual int WriteBans (FILE *, Socket *);
   virtual ChannelRecord * AddChanrec (UserRecord *, const char *);
   virtual void DelChanrec (UserRecord *, const char *);
   virtual void SetHandleChaninfo (UserRecord *, const char *, const char *, const char *);
   virtual void SetHandleLaston (const char *, UserRecord *, time_t);
   virtual void GetHandleChaninfo (const char *, const char *, char *);
   virtual void ReadChannels ( void );
};
#endif
