/*
 * Client.h
 */

#ifndef _DCCCHAT_
#include "DccChat.h"
#endif

#ifndef _MODULEENTRYCIENT_
#include "ModuleEntryClient.h"
#endif

#ifndef _CLIENT_
#define _CLIENT_

class Client : public DccChat {
  protected:
   int current_chan;
   int motd;
   
  public:
   Client ( class ClientLogin & other );
   ~Client ( void );
   
   void Display2 ( Socket * );
   void Activity ( char *, int );
   int ExpMem ( void );
   int Dump ( char *, int );
   
   void DumpMotd ( void );
   void DumpWelcome ( void );
   void DumpLusers ( void );
   void Join ( char * );
   void Part ( char *, char * );
   void Ping ( char * );
   void Privmsg ( char *, char *);
   void Notice ( char *, char * );
   void Mode ( char *, char *);
   void Who ( char *);
   void SendWho ( class PartyLiner * );
   inline Client * Next ( void ) {
      Client * ptr = this;
      while ((ptr = (Client *)ptr->next) && (ptr->type != CL->CLIENT));
      return ptr;
   }
};
#endif
