#include "ClientLogin.h"
#include "UserRecord.h"
#include "Client.h"
#define CLASS "ClientLogin"

ClientLogin::~ClientLogin ( void ) {
   FUNCTION;
   if (password)
     my_free( password, G->memtype_socket );
   if (pong)
     my_free(pong, G->memtype_socket );
}
   
void ClientLogin::Display2 ( Socket * sock ) {
   FUNCTION;
   sock->Send("SOD CLIENT, LIVE WITH IT");
}

void ClientLogin::Activity ( char * x, int ) {
   FUNCTION;
   char buf[512], *cmd, *arg, buf2[30];
   UserRecord * u;
   
   while (*x == ' ')
     x++;
   if (*x == ':')
     G->Split(&x);
   cmd = CL->Split(&x);
   arg = CL->Split(&x);
   if (!strcasecmp(cmd, "PASS")) {
      if (strlen(arg) > 30)
	arg[30] = 0;
      password = (char *)my_malloc(strlen(arg) + 1, G->memtype_socket);
      strcpy(password, arg);
      G->LOG_MISC.Put(CL->Lang(0x003, "ss", nick, host));
   } else if (!strcasecmp(cmd, "USER")) {
      /* silently ignore user at this point WE DONT USE IT */
   } else if (!strcasecmp(cmd, "NICK")) {
      if ((u = G->userlist->Find(arg))) {
	 if (!user) {
	    G->MakePass(buf2);
	    buf2[8] = 0;
	    pong = (char *)my_malloc(strlen(buf2) + 1, G->memtype_socket);
	    strcpy(pong, buf2);
	    G->SPrintF(buf, 512, "PING :%s", buf2);
	    Send(buf);
	 }
	 SetNick(arg);
	 SetUser(u);
	 G->LOG_MISC.Put(CL->Lang(0x004, "ss", arg, host));
      } else
	G->LOG_MISC.Put(CL->Lang(0x005, "ss", arg, host));
   } else if (!strcasecmp(cmd, "PONG")) {
      if (!password && pong && !strcmp(arg, pong)) {
	 my_free(pong, G->memtype_socket);
	 pong = 0;
	 G->LOG_MISC.Put(CL->Lang(0x006, "ss", nick, host));
	 NEW ( Client ( *this ) ); 
      } else {
	 G->LOG_MISC.Put(CL->Lang(0x00C, "ss", nick, host));
	 Send(CL->Lang(0x00B, "ss", G->botnetnick, nick));
	 Close();
      }
   } else 
     Send(CL->Lang(0x009, "sss", G->botnetnick, nick, cmd));
   if (password && user) 
     if (user->PassMatch(password) && !user->PassMatch("-")) {
	my_free(password,G->memtype_socket);
	password = 0;
	G->LOG_MISC.Put(CL->Lang(0x007, "ss", nick, host));
     } else {
	G->LOG_MISC.Put(CL->Lang(0x008, "ss", nick, host));
	Send(CL->Lang(0x00A, "ss", G->botnetnick, nick));
	Close();
     }
}

int ClientLogin::ExpMem ( void ) {
   FUNCTION;
   return sizeof(ClientLogin) - sizeof(Socket) + Socket::ExpMem()
     + (password ? strlen(password) + 1 : 0) 
       + (pong ? strlen(pong) + 1 : 0);
}
