/*
 * ClientLogin.h
 */

#ifndef _SOCKET_
#include "Socket.h"
#endif

#ifndef _MODULEENTRYCLIENT_
#include "ModuleEntryClient.h"
#endif

#ifndef _CLIENTLOGIN_
#define _CLIENTLOGIN_

class ClientLogin : public Socket {
  protected:
   char * password;
   char * pong;

  public:
   inline ClientLogin ( Socket & other ) : Socket ( other, CL->CLIENTLOGIN, 0, 0 ) {
      TimeNow();
      SetNick("*");
   }
   ~ClientLogin ( void );
   
   void Display2 ( Socket * );
   void Activity ( char *, int );
   int ExpMem ( void );
};
#endif
