
#include "ModuleEntryClient.h"
#include "BindTable.h"
#include "Socket.h"
#include "Command.h"
#include "TelnetPort.h"
#include "ScriptArgument.h"
#include "ScriptContext.h"
#include "ClientLogin.h"
#include "Client.h"
#include "PartyLiner.h"
#include "ModuleEntryBotnet.h"
#define CLASS ""

ModuleEntryClient * CL;
static ModuleEntryEggdrop * G;

static BindReturn client_act ( void ** args, const char *) {
   FUNCTION;
   Client * ptr = (Client *)G->socklist;
   char * x = strchr((char *)args[0], '@'), buf[HANDLEN + 1];
   PartyLiner * pptr;
   TandemBot * tb = CL->BN->tandbot;
   
   if (x) {
      *x = 0;
      tb = CL->BN->tandbot->Find(x + 1);
   }
   strncpyz(buf, (char *)args[0], HANDLEN);
   if (x)
     *x = '@';
   if ((pptr = tb->FindParty(buf, *(int *)args[1]))) {
      while ((ptr = ptr->Next())) {
	 if ((ptr->Channel() == *(int *)args[1]) && (ptr != CL->last))
	   ptr->Printf(":%s!%s PRIVMSG +%d :\001ACTION %s\001\n", args[0],
		       pptr->From(), ptr->Channel(), (char *)args[2]);
      }
   }
   return EXECUTED;
}

static command_binds my_act[] = { 
   { "*", "", client_act, "client"},
};

static BindReturn client_chat ( void ** args, const char *) {
   FUNCTION;
   Client * ptr = (Client *)G->socklist;
   char * x = strchr((char *)args[0], '@'), buf[HANDLEN + 1];
   PartyLiner * pptr;
   TandemBot * tb = CL->BN->tandbot;
   
   if (x) {
      *x = 0;
      tb = CL->BN->tandbot->Find(x + 1);
   }
   strncpyz(buf, (char *)args[0], HANDLEN);
   if (x)
     *x = '@';
   if ((pptr = tb->FindParty(buf, *(int *)args[1]))) {
      while ((ptr = ptr->Next())) {
	 if ((ptr->Channel() == *(int *)args[1]) && (ptr != CL->last))
	   ptr->Printf(":%s!%s PRIVMSG +%d :%s\n", args[0],
		       pptr->From(), ptr->Channel(), (char *)args[2]);
      }
   }
   return EXECUTED;
}

static command_binds my_chat[] = { 
   { "*", "", client_chat, "client"},
};

static BindReturn client_bcst ( void ** args, const char *) {
   FUNCTION;
   Client * ptr = (Client *)G->socklist;
   
   if (ptr) {
      while ((ptr = ptr->Next())) {
	 if (-1 == *(int *)args[1]) 
	   ptr->Printf(":%s. WALLOP :%s\n", G->botnetnick, (char *)args[2]);
	 else
	   ptr->Printf(":%s. NOTICE +%d :%s\n", G->botnetnick, *(int *)args[1],
		       (char *)args[2]);
      }
   }
   return EXECUTED;
}

static command_binds my_bcst[] = { 
   { "*", "", client_bcst, "client"},
};

static BindReturn client_lnkch ( void ** args, const char *) {
   FUNCTION;
   PartyLiner * ptr;
   
   for (ptr = BNET->tandbot->PartyLiners(); ptr; ptr = ptr->NextByBot()) 
     if (!strcasecmp(ptr->Key(), (char *)args[0])
	 || !strcasecmp(ptr->Key(), (char *)args[1])) {
	Client * cptr = (Client *)G->socklist;
	while ((cptr = cptr->Next())) {
	 if (ptr->Chan() == cptr->Channel())
	     cptr->Printf(":%s!%s NICK :%s\n", (char *)args[0],
			  ptr->From(), (char *)args[1]);
	}
     }
   return EXECUTED;
}

static command_binds my_lnkch[] = { 
   { "*", "", client_lnkch, "client"},
};

static BindReturn client_chjn (void ** args, const char * ch) {
   FUNCTION;
   int chan = atoi(ch);
   PartyLiner * pptr = (PartyLiner *)args[0];
   Client * ptr = (Client *)G->socklist;
   char buf[32], buf2[512];
   
   while ((ptr = ptr->Next())) 
     if ((ptr->Channel() == chan) && (ptr != CL->last)) {
	sprintf(buf, "+%d", chan);
	if (pptr->Bot() == CL->BN->tandbot)
	  strcpy(buf2, pptr->Nick());
	else
	  G->SPrintF(buf2, 512, "%s@%s", pptr->Nick(), pptr->BotName());
	ptr->Send(CL->Lang(0x017, "sss", buf2, pptr->From(), buf));
     }
   return EXECUTED;
}

static command_binds my_chjn[] = {
   { "*", "", client_chjn, "client"},
};

static BindReturn client_chpt (void ** args, const char * ch) {
   FUNCTION;
   int chan = atoi(ch);
   PartyLiner * pptr = (PartyLiner *)args[0];
   Client * ptr = (Client *)G->socklist;
   char buf[32], buf2[512];
   
   while ((ptr = ptr->Next())) 
     if ((ptr->Channel() == chan) && (ptr != CL->last)) {
	sprintf(buf, "+%d", chan);
	if (pptr->Bot() == CL->BN->tandbot)
	  strcpy(buf2, pptr->Nick());
	else
	  G->SPrintF(buf2, 512, "%s@%s", pptr->Nick(), pptr->BotName());
	ptr->Send(CL->Lang(0x016, "ssss", buf2, pptr->From(), buf, "leaving"));
     }
   return EXECUTED;
}

static command_binds my_chpt[] = { 
   { "*", "", client_chpt, "client"},
};

static int script_clientport (ScriptContext * sc, int argc, ScriptArgument ** argv) {
   FUNCTION;
   TelnetPort * tp = (TelnetPort *)G->socklist;
   context;
   BADARGS(3, 4, CL->Lang(0x001, ""));
   if (!G->do_restart) {
      if ((tp = tp->Find(argv[2]->AsInteger()))) {
	 sc->SetString(G->Lang(0x1A9, "ss", argv[1]->AsString(), argv[2]->AsString()));
	 return SCRIPT_ERROR;
      }
      NEW ( TelnetPort ( sc, argv[1]->AsString(), argv[2]->AsInteger(),
			(argc == 3) ? "" : argv[3]->AsString(), "(client)"));
   }
   return SCRIPT_OK;
}

static BindReturn client_listen (void ** args, const char * mask) {
   FUNCTION;
   Socket * idx = (Socket *)args[0];
   
   if (!strcmp(mask,"(client)")) {
      G->LOG_MISC.Put(CL->Lang(0x002,"dsd", idx->LocalPort(), idx->Host(),
			       idx->RemotePort()));
      NEW ( ClientLogin ( * idx ) );
   }
   return EXECUTED;
}

static command_binds my_list[1] =  {
   { "(client)", "", client_listen, NULL }
};

extern "C" {
   char * client_start (ModuleEntryEggdrop *, ModuleEntry *);
};

char *client_start (ModuleEntryEggdrop * global_funcs, ModuleEntry * me) {
   FUNCTION;
   char * r = 0;

   G = global_funcs;
   context;
   CL = NEW ( ModuleEntryClient ( me, &r ) );
   if (!r) {
      context;
      G->bt_listen->AddBinds(my_list, 1, CL);
      G->bt_chat->AddBinds(my_chat, 1, CL);
      G->bt_bcst->AddBinds(my_bcst, 1, CL);
      G->bt_act->AddBinds(my_act, 1, CL);
      G->bt_lnkch->AddBinds(my_lnkch, 1, CL);
      CL->BN->bt_chjn->AddBinds(my_chjn, 1, CL);
      CL->BN->bt_chpt->AddBinds(my_chpt, 1, CL);
      NEW ( Command ( "clientport", script_clientport, CL ) );
   }
   context;
   return r;
}
