/*
 * DccLedit.h - a user in the line edit mode
 */

#ifndef _DCCCHAT_
#include "DccChat.h"
#endif

#ifndef _DCCLEDIT_
#define _DCCLEDIT_

class DccLedit : public DccChat {
   char fname [DIRLEN + 1];
   class LeditList * file;
   int current_line;
   int insert;
  public:
   DccLedit ( DccChat & , const char * f );
   ~DccLedit ( void );
   
   void Eof ( void );
   void Activity ( char *, int );
   void Display2 ( Socket * );
   int ExpMem ( void );
   int ReadFile ( void );
   int WriteFile ( void );
   inline void NewFile ( const char * x ) {   
      strncpyz(fname, x, DIRLEN);
   }
};

#endif
