/*
 * LeditList.h
 */

#ifndef _IntList_
#include "IntList.h"
#endif

#ifndef _LEDITLIST_
#define _LEDITLIST_

class LeditList : public IntList {
   LeditList * held;
   
   friend class DccLedit;
   friend class LeditData;

   inline LeditList ( int k ) : IntList ( ) { key = k; }
   LeditList ( LeditList &, int, int );
   ~LeditList ( void );
   
   int ExpMem ( void );
   
   LeditData * AddData ( int, const char * );
   LeditData * ModifyData ( int, const char * );
   LeditData * FindData ( int );
   int RemoveData ( int );
   
   int Dump ( FILE * f );
   void Display ( Socket *, int, int, int );
   void Debug ( Socket * );
   
   inline LeditList * Next ( void ) { return (LeditList *)next;}
};
#endif
