/*
 * ModuleEntryNotes.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYNOTES_
#define _MODULEENTRYNOTES_

class ModuleEntryNotes : public ModuleEntry {
  public:
   int maxnotes;
   int note_life;
   int allow_fwd;
   int notify_users;
   char notefile [121];
   class ModuleEntryServer * SERVER;
   class UserEntry * entrytype_fwd;
   class UserEntry * entrytype_notes;
   
   ModuleEntryNotes ( ModuleEntry *, char ** r );
   ~ModuleEntryNotes ( void );
   
   int ExpMem ( void );
   void Report (Socket *, int );
   
   int CountNotes ( const char * );
   void Parse ( int *, const char * );
   int Contains ( int *, int );
   void Delete (const char *, char *, char *, Socket *);
   void Read (const char *, char *, char *, Socket *);
};

extern class ModuleEntryNotes * NOTES;
#endif
