/* 
 * UserEntryFwd.C
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "UserEntryFwd.h"
#define CLASS "UserEntryFwd"

UserEntryFwd::~UserEntryFwd ( void ) {
   FUNCTION;
}

UserEntry * UserEntryFwd::Create ( UserRecord * u ) {
   FUNCTION;
   return NEW (UserEntryFwd (u, this ) );
}

void UserEntryFwd::Set ( char * str ) {
   FUNCTION;
   if (str && (strlen(str) > 40))
     str[40] = 0;
   UserEntryString::Set(str);
}
