/*
 * Relaying.h
 */

#ifndef _DCCCHAT_
#include "DccChat.h"
#endif

#ifndef _RELAYING_
#define _RELAYING_

class Relaying : public DccChatPass {
   int relay;
   int status;
   int oldstatus;
   int oldchan;
   char old_conchan[81];
   LogModes old_modes;
   
   friend class Relay;
  public:
   Relaying (DccChat *, Relay *);
   ~Relaying ( void );
   
   void Activity ( char *, int );
   void Eof ( void );
   void Display2 ( Socket * );
   int ExpMem ( void );
   inline void Redo ( Relay * or ) { relay = ((Socket *)or)->Key(); }
   void SetValues ( DccChat * );
};
#endif
