/*
 * scriptsocket.h
 */

#ifndef _DCCCHATPASS_
#include "DccChatPass.h"
#endif

#ifndef _SCRIPTSOCKET_
#define _SCRIPTSOCKET_

class ScriptSocket : public DccChatPass {
  protected:
   int backtodcc;
   char command[121];
   ScriptContext * sc;
   
  public:
   ScriptSocket ( DccChat &, const char *, ScriptContext * );
   ScriptSocket ( struct in_addr, int , const char *, ScriptContext *);
   ScriptSocket ( IdentWait &, const char *, ScriptContext *);
   ~ScriptSocket ( void );
   
   void Activity ( char *, int );
   void Eof ( void );
   int CallFunc ( char *, const char * );
   void DropBack ( void );
   void Display2 ( Socket *);
   int ExpMem ( void );
   
   inline int Back ( void ) { return backtodcc; }
};
#endif
