/*
 * ChannelSettingsSeen.h
 */

#ifndef _CHANNELSETTINGS_
#include "ChannelSettings.h"
#endif

#ifndef _CHANNELSETTINGSSEEN_
#define _CHANNELSETTINGSSEEN_

class ChannelSettingsSeen : public ChannelSettings {
   int flag;
  protected:
   inline ChannelSettingsSeen ( Channel2 * c, ChannelSettings * m ) 
     : ChannelSettings ( c, m ) {
     }
  public:
   ChannelSettingsSeen ( ModuleEntry * m ); 
   ~ChannelSettingsSeen ( void );
   int ExpMem ( void );
   
   int Set (const char *, const char *, Socket *);
   void View (Socket *);
   int Write (FILE *);
   int Get (ScriptContext *);
   void Create (Channel2 *);

   inline int Flag ( void ) { return flag; }
};
#endif
