/*
 * BindTableMsg.h - class definition for BindTableMsg class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEMSG_
#define _BINDTABLEMSG_

class BindTableMsg : public BindTable {
  public:
   inline BindTableMsg ( ModuleEntry * m )
     : BindTable ( "msg", PARTIAL | ATTR | BUILTINS | SCRIPT_FUNC | CALLBACK, m) {
     }
   inline BindTableMsg ( const char * name , ModuleEntry * m) 
     : BindTable ( name, STACKABLE | ATTR | MASK | SCRIPT_FUNC | CALLBACK, m ) {
     }
   ~BindTableMsg ();

   int FromScript (BoundCommand *,ScriptContext *, int, ScriptArgument **);
   BindReturn ToScript (BindEntry *,void **, const char *);
};

#endif
