/*
 * BindTableWall.h - class definition for BindTableWall class
 */

#ifndef _BINDTABLE_
#include "BindTable.h"
#endif

#ifndef _BINDTABLEWALL_
#define _BINDTABLEWALL_

class BindTableWall : public BindTable {
  public:
   inline BindTableWall ( ModuleEntry * m )
     : BindTable ( "wall", STACKABLE | MASK | SCRIPT_FUNC | CALLBACK, m) {
     }
   ~BindTableWall ();

   int FromScript (BoundCommand *,ScriptContext *, int, ScriptArgument **);
   BindReturn ToScript (BindEntry *,void **, const char *);
};

#endif
