/*
 * BotName.C
 */
/*
 * This file is part of the eggdrop2 source code
 * copyright (c) 1998 Darrin Smith
 * and is distributed according to the GNU general public license.
 * For full details, read the top of 'main.c' or the file called
 * COPYING that was distributed with this code.
 */

#include "server.h"
#include "BotName.h"
#include "ModuleEntryServer.h"
#define CLASS "BotName"

BotName::~BotName ( void ) {
   FUNCTION;
}

static char tbuf[UHOSTLEN + 1];

char * BotName::Read ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   G->SPrintF(tbuf, UHOSTLEN, "%s!%s", SVR->botname, SVR->botuserhost);
   return tbuf;
}

char * BotName::Clear ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   G->SPrintF(tbuf, UHOSTLEN, "%s!%s", SVR->botname, SVR->botuserhost);
   return tbuf;
}

char * BotName::Set ( ScriptContext *, int, ScriptArgument ** ) {
   FUNCTION;
   G->SPrintF(tbuf, UHOSTLEN, "%s!%s", SVR->botname, SVR->botuserhost);
   return tbuf;
}
