/*
 * Server.h
 */

#ifndef _SOCKET_
#include "Socket.h"
#endif

#ifndef _SERVERMODULE_
#include "server.h"
#endif

#ifndef _MODULEENTRYSERVER_
#include "ModuleEntryServer.h"
#endif

#ifndef _SERVER_
#define _SERVER_

class Server : public Socket {
  protected:
  public:
   inline Server ( void ) 
     : Socket ( NONSOCK, SVR->SERVER, 0, 0, 0, "", 0 ) {
     }
   ~Server ( void );
   
   void Activity ( char *, int );
   void Eof ( void );
   void Timeout ( void );
   void Display2 (Socket *);
   void Dump ( char * );
   void Reset(void);
   void Connect( void );
   int ExpMem ( void );
};
#endif
