/*
 * ServerVar.h
 */

#ifndef _MISCVARIABLE_
#include "MiscVariable.h"
#endif

#ifndef _SERVERVAR_
#define _SERVERVAR_

class ServerVar : public MiscVariable {
  public:
   inline ServerVar ( ModuleEntry * m ) 
     : MiscVariable ( "server", VAR_READONLY, m ) {
     }
   ~ServerVar ( void );

   char * ALL ( void );
   char * Read ( ScriptContext *, int, ScriptArgument **);
   char * Set ( ScriptContext *, int, ScriptArgument **);
   char * Clear ( ScriptContext *, int, ScriptArgument **);
};
#endif
