/*
 * ModuleEntryShare.h
 */

#ifndef _MODULEENTRY_
#include "ModuleEntry.h"
#endif

#ifndef _MODULEENTRYSHARE_
#define _MODULEENTRYSHARE_

class ModuleEntryShare : public ModuleEntry {
  public:
   int allow_resync;
   int resync_time;
   class ModuleEntryTransfer * TRANSFER;
   class ModuleEntryChannels * CHANNELS;
   class ModuleEntryBotnet * BOTNET;
   class ModuleEntryIrc * IRC;
   MemType * memtype_resync;
   const char * SHAREBOT;
   class ShareQueue * null_entry;
   
   ModuleEntryShare ( ModuleEntry *, char ** );
   ~ModuleEntryShare ( void );
   
   int ExpMem ( void );
   void Report ( Socket *, int );
   void QueueResync ( char *, class Channel2 *);
};

extern ModuleEntryShare * SH;
#endif
