/*
 * FileGet.h - actually sending a file to a user
 */

#ifndef _FILESEND_
#include "FileSend.h"
#endif

#ifndef _MODULEENTRYTRANSFER_
#include "ModuleEntryTransfer.h"
#endif

#ifndef _FILEGET_
#define _FILEGET_

class FileGet : public FileSend {
  protected:
   char sofar;                /* how much of the byte count received */
   char buf[4];               /* you only need 5 bytes! */
   long acked;                /* acked by user */
   
  public:
   FileGet ( FileGetListen *, int );
   ~FileGet ( void );
   
   void Activity ( char *, int );
   void Eof ( void );
   void Timeout ( void );
   int ExpMem ( void );
   void Display2 ( Socket * );
   
   inline FileGet * Next ( void ) {
      FileGet * ptr = this;
      
      while ((ptr = (FileGet *)ptr->next) && (ptr->Type() != TR->FILE_GET));
      return ptr;
   }
};
#endif
