/*
 * WireEntry.h
 */

#ifndef _INTLIST_
#include "IntList.h"
#endif

#ifndef _MODULEENTRYWIRE_
#include "ModuleEntryWire.h"
#endif

#ifndef _WIREENRTY_
#define _WIREENTRY_
class WireEntry : public IntList {
   char * crypt;
   char * ckey;
  public:
   inline WireEntry ( ) : IntList () {
      crypt = ckey = 0;
   }
   WireEntry ( Socket *, char * );
   ~WireEntry ( void );
   inline const int Sock ( void ) {
      return key;
   }
   inline const char * Crypt ( void ) {
      return crypt;
   }
   inline const char * Key ( void ) {
      return ckey;
   }
   inline WireEntry * Next ( void ) {
      return (WireEntry *)next;
   }
   inline WireEntry * Find ( int v ) {
      return (WireEntry *)IntList::Find(v);
   }
   int ExpMem ( void );
   WireEntry * Find ( const char * );
   void Leave ( void );
   MEMORY_TYPE(WIRE->memtype_wire);
};
#endif
